<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/scrollLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fadeScrollbars="false"
    android:fillViewport="true"
    android:scrollbarFadeDuration="0"
    android:scrollbarThumbVertical="@android:color/darker_gray"
    android:paddingBottom="10dp"
    android:paddingLeft="5dp"
    android:paddingRight="5dp"
    android:paddingTop="5dp"
    android:scrollbars="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"

        android:orientation="vertical">
        <!-- Your layout content here -->
        <RelativeLayout
            android:id="@+id/firstLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="15dp">

            <TextView
                android:id="@+id/textView3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:layout_centerInParent="true"
                android:layout_margin="20dp"
                android:layout_marginLeft="10dp"
                android:text="@string/screen_title"
                android:textColor="#000000"
                android:textSize="35sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/first_step_profile_image"
                android:layout_width="93dp"
                android:layout_height="86dp"
                android:layout_toLeftOf="@+id/first_step_name"
                tools:srcCompat="@tools:sample/avatars" />

            <TextView
                android:id="@+id/first_step_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="10dp"
                android:text="Saif Ul haq"
                android:textColor="#000000"
                android:textStyle="bold|italic" />
        </RelativeLayout>

        <!--Buttons for Step-1, Step-2, Step-3-->
        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:layout_below="@+id/firstLayout"
            android:layout_margin="15dp"
            android:orientation="horizontal">

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:backgroundTint="@color/light_blue"
                android:text="STEP 1 INFO" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="STEP 2 Checkpoints" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="STEP 3 Dimension" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/lv3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/linearLayout"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <!--                     guide lines-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="16dp"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/guide_lne"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Guidelines"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/textView7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/guide_line_text" />
                </LinearLayout>
                <!--                    inspection checkboxes-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="5dp"
                    android:orientation="horizontal"
                    android:padding="5dp">

                    <TextView
                        android:id="@+id/inspection_type"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="Inspection type"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <CheckBox
                        android:id="@+id/fri"
                        android:layout_width="95dp"
                        android:layout_height="20dp"
                        android:layout_weight="1"
                        android:text="FRI" />

                    <CheckBox
                        android:id="@+id/refri"
                        android:layout_width="95dp"
                        android:layout_height="20dp"
                        android:layout_weight="1"
                        android:text="RE-FRI" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="16dp"
                        android:text="Item / SKU Detal"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="16dp">

                        <EditText
                            android:id="@+id/sku"
                            android:layout_width="400dp"
                            android:layout_height="wrap_content"
                            android:hint="SKU"
                            android:imeOptions="actionNext"
                            android:inputType="text" />

                        <ImageButton
                            android:id="@+id/scan_sku_btn"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@null"
                            android:padding="8dp"
                            android:src="@drawable/scan" />

                        <ImageButton
                            android:id="@+id/search_sku_btn"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@null"
                            android:padding="8dp"
                            android:src="@drawable/ic_search" />

                        <Spinner
                            android:id="@+id/model_number"
                            android:layout_width="210dp"
                            android:layout_height="44dp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="16dp">

                        <Spinner
                            android:id="@+id/title"
                            android:layout_width="450dp"
                            android:layout_height="45dp" />

                        <Spinner
                            android:id="@+id/marketplace"
                            android:layout_width="200dp"
                            android:layout_height="45dp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="16dp">

                        <Spinner
                            android:id="@+id/color"
                            android:layout_width="325dp"
                            android:layout_height="45dp" />

                        <Spinner
                            android:id="@+id/size"
                            android:layout_width="325dp"
                            android:layout_height="45dp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/box_border"
                    android:layout_margin="5dp"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:weightSum="3"
                        android:layout_margin="5dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_margin="16dp"
                            android:text="Inspection Level"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_margin="16dp"
                            android:text="Quality Level Major"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_margin="16dp"
                            android:text="Quality Level Minor"
                            android:textColor="@color/black"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:weightSum="3"
                        android:layout_margin="5dp"
                        android:orientation="horizontal">

                        <Spinner
                            android:id="@+id/sp_inspectionLevel"
                            android:layout_width="0dp"
                            android:layout_height="45dp"
                            android:layout_weight="1"
                            android:layout_marginStart="16dp"/>

                        <Spinner
                            android:id="@+id/sp_qLevelMajor"
                            android:layout_width="0dp"
                            android:layout_height="45dp"
                            android:layout_weight="1"
                            android:layout_marginLeft="5dp"/>

                        <Spinner
                            android:id="@+id/sp_qLevelMinor"
                            android:layout_width="0dp"
                            android:layout_height="45dp"
                            android:layout_weight="1"
                            android:layout_marginStart="5dp"/>

                    </LinearLayout>
                </LinearLayout>



                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="16dp"
                        android:text="Stock Details"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="16dp">

                        <EditText
                            android:id="@+id/box_carton"
                            android:layout_width="250dp"
                            android:layout_height="wrap_content"
                            android:hint="Box / Carton "
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/item_per_box"
                            android:layout_width="250dp"
                            android:layout_height="wrap_content"
                            android:hint="Packs (Item / box)"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/pieces"
                            android:layout_width="250dp"
                            android:layout_height="wrap_content"
                            android:hint="Pieces"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />
                    </LinearLayout>

                    <EditText
                        android:id="@+id/packaging"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="16dp"
                        android:imeOptions="actionNext"
                        android:hint="Packaging Details"
                        android:inputType="text" />
                </LinearLayout>
                <!--Item checked details-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="16dp"
                        android:text="Item Presented Details"
                        android:textColor="@color/black"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="16dp">

                        <EditText
                            android:id="@+id/checked_box_carton_selected"
                            android:layout_width="250dp"
                            android:layout_height="wrap_content"
                            android:hint="Box / Carton "
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/checked_item_per_box_selected"
                            android:layout_width="250dp"
                            android:layout_height="wrap_content"
                            android:hint="Packs (Item / box)"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/checked_pieces_selected"
                            android:layout_width="250dp"
                            android:layout_height="wrap_content"
                            android:hint="Pieces"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />
                    </LinearLayout>

                </LinearLayout>
                <!--Item checked details-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:orientation="horizontal"

                    android:weightSum="1">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:layout_weight="0.8"
                        android:background="@drawable/box_border"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="16dp"
                            android:text="Item Selected Details"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="16dp"
                            android:paddingBottom="5dp">

                            <EditText
                                android:id="@+id/box_carton_selected"
                                android:layout_width="250dp"
                                android:layout_height="wrap_content"
                                android:hint="Box / Carton "
                                android:imeOptions="actionNext"
                                android:inputType="numberDecimal" />

                            <EditText
                                android:id="@+id/item_per_box_selected"
                                android:layout_width="250dp"
                                android:layout_height="wrap_content"
                                android:imeOptions="actionNext"
                                android:hint="Packs (Item / box)"
                                android:inputType="numberDecimal" />

                            <EditText
                                android:id="@+id/pieces_selected"
                                android:layout_width="250dp"
                                android:layout_height="wrap_content"
                                android:hint="Pieces"
                                android:imeOptions="actionNext"
                                android:inputType="numberDecimal" />
                        </LinearLayout>

                    </LinearLayout>

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="3dp"
                        android:layout_weight="0.2"
                        android:background="@drawable/box_border"
                        android:gravity="left"
                        android:orientation="vertical"
                        android:paddingStart="5dp"
                        android:paddingTop="16dp"
                        android:paddingBottom="8dp">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentTop="true"
                            android:layout_marginLeft="2dp"
                            android:text="AQL Sample Size"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <EditText
                            android:id="@+id/et_aql_sample_size"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:layout_alignParentBottom="true"
                            android:hint="AQL Sample Size"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                    </RelativeLayout>
                </LinearLayout>

                <TextView
                    android:id="@+id/txtTesting"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="5dp"
                    android:visibility="gone"
                    android:layout_margin="5dp"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingTop="5dp"
                    android:paddingBottom="5dp"
                    android:layout_marginTop="6dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginBottom="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="11dp"
                        android:padding="5dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Carton Weight"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Carton Length"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Carton Width"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Carton Height"
                            android:textColor="@color/black"
                            android:textStyle="bold" />
                    </LinearLayout>



                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="16dp"
                        android:orientation="horizontal"
                        android:paddingBottom="5dp">

                        <EditText
                            android:id="@+id/et_carton_weight"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="Carton Weight"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_carton_length"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="Length"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_carton_width"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="width"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_carton_height"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="height"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="6dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginBottom="5dp"
                    android:paddingTop="5dp"
                    android:paddingBottom="5dp"
                    android:background="@drawable/box_border"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="11dp"
                        android:padding="5dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Pack Weight"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Pack Length"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Pack Width"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:text="Pack Height"
                            android:textColor="@color/black"
                            android:textStyle="bold" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="16dp"
                        android:orientation="horizontal"
                        android:paddingBottom="5dp">

                        <EditText
                            android:id="@+id/et_pack_weight"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="Pack Weight"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_pack_length"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="Length"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_pack_width"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="width"
                            android:imeOptions="actionNext"
                            android:inputType="numberDecimal" />

                        <EditText
                            android:id="@+id/et_pack_height"
                            android:layout_width="200dp"
                            android:layout_height="wrap_content"
                            android:hint="height"
                            android:imeOptions="actionDone"
                            android:inputType="numberDecimal" />
                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>


        </LinearLayout>

        <RelativeLayout
            android:id="@+id/relativeLayout"
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:layout_below="@+id/lv3">

            <Button
                android:id="@+id/button_right_frag_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_alignParentBottom="true"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="16dp"
                android:backgroundTint="@color/light_blue"
                android:text="Next" />

            <Button
                android:id="@+id/button_draft_first"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="16dp"
                android:layout_toStartOf="@id/button_right_frag_1"
                android:text="Draft" />

            <Button
                android:id="@+id/button_left_frag_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@id/button_draft_first"
                android:layout_marginEnd="16dp"
                android:layout_toStartOf="@id/button_draft_first"
                android:text="Close" />

            <Button
                android:id="@+id/button_show_history"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@id/button_left_frag_1"
                android:layout_marginEnd="16dp"
                android:layout_toStartOf="@id/button_left_frag_1"
                android:text="History" />
        </RelativeLayout>

    </LinearLayout>
</ScrollView>